<?php

    class Day_of_Week_Equals_Condition extends Reactor_Condition
    {
        protected $tpl = 'day_of_week_equals.php';
        protected $name = 'Day of week equals';
		
		public static $registration = array(
			CONDITION_NAME => 'Day of week equals',
			CONDITION_CATEGORY => 'Time',
			CONDITION_DESCRIPTION => 'Checks if the current time reflects the selected day(s) of the week.',
			CONDITION_AUTHOR => 'Jeremy Yunis, Nagios Enterprises, LLC',
			CONDITION_VERSION => '1.0',
			CONDITION_DATE => '01/22/2013', //Last version update
			CONDITION_AUTHLEVEL => 0,  // 0 - everyone | 1 - Admin only
			CONDITION_TYPE => 'core', //core | user. core modules can't be deleted
			CONDITION_META => array('day'),	//Misc information	
		); 			
		
        protected $fields = array(
            'dow[]' => array(
                'label' => 'day of week',
                'validate' => 'trim|required|xss_clean',
            ),
        );

        public function get_label()
        {
            if($params = $this->get_params()) {
                if(array_key_exists('dow', $params)) {
                    return sprintf('Day of week is one of: %s', implode(", ", $params['dow']));
                }
            }
            return parent::get_label();
        }
       
        public function run($context)
        {
            $this->set_context($context);
            $params = $this->get_params();
            $cur_dow = strtolower(date("D"));
			$this->set_context_var('day', $cur_dow);
            $this->set_result(
                in_array($cur_dow, $params['dow'])
            );
        }
    }
